Compatibility with OS X 10.8

Issue

This article applies to users with Exposure X, Snap Art 4, or Blow Up 3 on the OS X 10.8 operating system. Internal updates to these programs released in April 2016 made the software incompatible with OS X 10.8.

OS X 10.8 is no longer officially supported on these programs, but a workaround is available. Read on for more details. 

 

Solution

There are two options for making the software work on your computer.

 

Update OS X

The best option for most users is to update the OS X version using Apple’s Software Update. You can do this by going to the Apple icon  and selecting About this Mac. You can then choose Software Update.

 

 

Install latest compatible software

If you are unable or do not want to update your operating system, the other option is to install the last version that worked with OS X 10.8.

First, locate the program that is not working in your Applications folder. Right click on the program and choose Move to Trash.

 

Then, download and install your software from on of these download links.

Exposure X

Snap Art 4

Blow Up 3

 

Note that if you have the Exposure X Bundle you will need to download and install all three programs separately.

 


Have more questions? Submit a request.